<!DOCTYPE html>
<html lang="{$lang_iso}" dir="ltr">
<head>
    <title>{$meta_title|escape:'htmlall':'UTF-8'}</title>
    {if isset($meta_description) AND $meta_description}
        <meta name="description" content="{$meta_description|escape:html:'UTF-8'}" />
    {/if}
    {if isset($meta_keywords) AND $meta_keywords}
        <meta name="keywords" content="{$meta_keywords|escape:html:'UTF-8'}" />
    {/if}
    <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
    <meta http-equiv="content-language" content="{$meta_language}" />
    <meta name="generator" content="PrestaShop" />
    <meta name="robots" content="{if isset($nobots)}no{/if}index,{if isset($nofollow) && $nofollow}no{/if}follow" />
    <link rel="icon" type="image/x-icon" href="{$favicon_url}?{$img_update_time}" />
    <link rel="shortcut icon" type="image/x-icon" href="{$favicon_url}?{$img_update_time}" />

    <script src="{if isset($shop_url_full)}{$shop_url_full}{/if}{$js_dir}deferTop.js{$_version}"></script>
<script src="{if isset($shop_url_full)}{$shop_url_full}{/if}{$js_dir}jquery.js{$_version}"></script>
<script src="{if isset($shop_url_full)}{$shop_url_full}{/if}{$js_dir}deferBottom.js{$_version}"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="{if isset($shop_url_full)}{$shop_url_full}{/if}{$css_dir}{if file_exists("$tpl_dir./css/bootstrap.min.css") && !$isBdPreview}bootstrap.min.css{else}bootstrap.css{/if}{$_version}" media="screen" />
<script src="{if isset($shop_url_full)}{$shop_url_full}{/if}{$js_dir}bootstrap.min.js{$_version}"></script>
<link class="" href='//fonts.googleapis.com/css?family=Open+Sans:300,300italic,regular,italic,600,600italic,700,700italic,800,800italic&subset=latin' rel='stylesheet' type='text/css'>
<script src="{$js_dir|replace:'/js/':'/'}CloudZoom.js{$_version}" type="text/javascript"></script>

    
    <style>
        html {
            margin-top: 30px !important;
        }
        body {
            font-family: inherit;
            color:#000000;
            background-color: #FFFFFF;
        }
        .jumbotron {
            background-color: #EEEEEE;
            border-radius: 6px 6px 6px 6px;
            color: inherit;
            font-size: 16px;
            font-weight: 200;
            line-height: 27px;
            margin-bottom: 30px;
            padding: 60px;
        }
        .jumbotron li {
            line-height: 27px;
            white-space: normal;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="jumbotron">
        {if $missingContent eq 'category'}
            <h3>Products Template is disabled.</h3>
            <p>The Products Template is used to show the grid of Products by Category, Manufacturer, etc. This Template is also used for Search Results.</p>
            <p>To turn on the Products Template please follow these steps:</p>
            <ol>
                <li><b>Create a Product Category with Products</b> in PrestaShop Back Office >> Catalog:
                    <ul>
                        <li>Create a Product Category in PrestaSop >> Catalog >> Categories >> click "Add new category".</li>
                        <li>Save the Category.</li>
                        <li>Create Product(s)  in PrestaSop >> Catalog >> Products >> click "Add new product".</li>
                        <li>Add Product Name, Price, choose Product Category under Associations.</li>
                        <li>Save the Product.</li>
                    </ul>
                </li>
                <li>Back to the <b>Themler</b> >> open <b>Templates list</b> >> click <b>"Refresh"</b> or press <b>F5</b>.</li>
            </ol>
        {elseif $missingContent eq 'product'}
            <h3>Product Details Template is disabled.</h3>
            <p>The Product Details Template is used to show a single Product.</p>
            <p>To turn on the Product Details Template please follow these steps:</p>
            <ol>
                <li><b>Create a Product Category with Product</b> in PrestaShop Back Office >> Catalog:
                    <ul>
                        <li>Create a Product Category in PrestaSop >> Catalog >> Categories >> click "Add new category".</li>
                        <li>Save the Category.</li>
                        <li>Create Product  in PrestaSop >> Catalog >> Products >> click "Add new product".</li>
                        <li>Add Product Name, Price, choose Product Category under Associations.</li>
                        <li>Save the Product.</li>
                    </ul>
                </li>
                <li>Back to the <b>Themler</b> >> open <b>Templates list</b> >> click <b>"Refresh"</b> or press <b>F5</b>.</li>
            </ol>
        {elseif $missingContent eq 'cms'}
            <h3>Page Template is disabled.</h3>
            <p>The Page Template is used for PrestaShop CMS Pages.</p>
            <p>To turn on the Page Template, please follow these steps:</p>
            <ol>
                <li><b>Create a Page</b>: in PrestaShop Preferences >> CMS >> click <b>"Add new CMS page"</b>.
                    <ul>
                        <li>Add Meta title, Page content</li>
                        <li>Set <b>"Displayed"</b> to "Yes".</li>
                        <li>Save the Page.</li>
                    </ul>
                </li>
                <li>Back to the <b>Themler</b> >> open <b>Templates list</b> >> click <b>"Refresh"</b> or press <b>F5</b>.</li>
            </ol>
        {/if}
    </div>
</div>
</body>
</html>